From f7013c9023ff3f9a6707276303443f0b4e00ccbf Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Wed, 8 Mar 2023 15:09:22 +0900
Subject: [PATCH v30 09/11] Revert the update for the minimum value of
 maintenance_work_mem.

---
 src/backend/postmaster/autovacuum.c | 6 +++---
 src/backend/utils/misc/guc_tables.c | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index a371f6fbba..ff6149a179 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -3397,12 +3397,12 @@ check_autovacuum_work_mem(int *newval, void **extra, GucSource source)
 		return true;
 
 	/*
-	 * We clamp manually-set values to at least 2MB.  Since
+	 * We clamp manually-set values to at least 1MB.  Since
 	 * maintenance_work_mem is always set to at least this value, do the same
 	 * here.
 	 */
-	if (*newval < 2048)
-		*newval = 2048;
+	if (*newval < 1024)
+		*newval = 1024;
 
 	return true;
 }
diff --git a/src/backend/utils/misc/guc_tables.c b/src/backend/utils/misc/guc_tables.c
index 8a64614cd1..1c0583fe26 100644
--- a/src/backend/utils/misc/guc_tables.c
+++ b/src/backend/utils/misc/guc_tables.c
@@ -2313,7 +2313,7 @@ struct config_int ConfigureNamesInt[] =
 			GUC_UNIT_KB
 		},
 		&maintenance_work_mem,
-		65536, 2048, MAX_KILOBYTES,
+		65536, 1024, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
 
-- 
2.31.1

